Page MenuHomePhabricator

RC filters - conflicting states for highlight-only filters do not have the tooltip for Conflict state
Closed, ResolvedPublic

Description

The red highlight to communicate the conflicting states will be applied to highlight-only conflicting states, but the result area displays the correct resutl for the selection and the Conflict state tooltip is not present. In fact, there is no feedback to users on why some combination of filters is marked as red.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2017, 10:44 PM

Ahm, why are those even red? Isn't that wrong? @Mooeypoo

So it looks like filter capsules representing highlights are red if they don't do anything because the filter selection excludes those. For example, if you select "Unregistered" and highlight "Newcomers", the latter is marked red. This makes some sense because the unregistered filter ensures there will be no newcomers in the result. But the tooltips don't explain that. We'll have to figure out what we want the behavior to be here.

Change 344448 had a related patch set uploaded (by Mooeypoo):
[mediawiki/core@master] RCFilters: Only show filter capsule as conflicted if it's selected

https://gerrit.wikimedia.org/r/344448

Change 344448 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Only show filter capsule as conflicted if it's selected

https://gerrit.wikimedia.org/r/344448

Etonkovidova added a comment.EditedMar 23 2017, 11:32 PM

Checked the fix in betalabs - highlight-only filter selection does not have indication (the tooltips and highlighting) that the filters are in conflicting states
which is correct

We might think more about what kind of indication for highlighting-only filters is needed (or if needed at all) for the following states:

  • full coverage
  • subset filter states

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Mar 24 2017, 7:07 PM
jmatazzoni claimed this task.